## org.codehaus.groovy.grails.web.mapping
Class UrlMappingsHolderFactoryBean

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.UrlMappingsHolderFactoryBean

All Implemented Interfaces:
  GrailsApplicationAware, FactoryBean, InitializingBean

    public class UrlMappingsHolderFactoryBean

extends Object
implements FactoryBean, InitializingBean, GrailsApplicationAware

A FactoryBean for constructing the UrlMappingsHolder from the registered UrlMappings class within a GrailsApplication

Since:
  0.5

  Created: Mar 6, 2007 Time: 6:48:57 PM
Author:
  Graeme Rocher

Constructor Summary
`UrlMappingsHolderFactoryBean()`

Method Summary
`void` `afterPropertiesSet()`
`Object` `getObject()`
`Class` `getObjectType()`
`boolean` `isSingleton()`
`void` `setGrailsApplication(GrailsApplication grailsApplication)` This method is called by the `ApplicationContext` that loads the Grails application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlMappingsHolderFactoryBean

    public UrlMappingsHolderFactoryBean()

Method Detail

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `FactoryBean`
  Throws:
    `Exception`

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `FactoryBean`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `FactoryBean`

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication grailsApplication)

  Description copied from interface: `GrailsApplicationAware`

  This method is called by the `ApplicationContext` that loads the Grails application. The `GrailsApplication` instance that represents the loaded Grails application is injected.

  Specified by:
    `setGrailsApplication` in interface `GrailsApplicationAware`
  Parameters:
    `grailsApplication` - the `GrailsApplication` object that represents this Grails application

Copyright (c) 2005-2006 The Grails project